Package org.drinkless.tdlib

# Class TdApi.WebPageInstantView

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.WebPageInstantView

Enclosing class:
  `TdApi`

public static class TdApi.WebPageInstantView extends TdApi.Object
Describes an instant view page for a web page.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InternalLinkType`
  `feedbackLink`
  An internal link to be opened to leave feedback about the instant view.
  `boolean`
  `isFull`
  True, if the instant view contains the full page.
  `boolean`
  `isRtl`
  True, if the instant view must be shown from right to left.
  `TdApi.PageBlock[]`
  `pageBlocks`
  Content of the instant view page.
  `int`
  `version`
  Version of the instant view; currently, can be 1 or 2.
  `int`
  `viewCount`
  Number of the instant view views; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebPageInstantView()`
  Describes an instant view page for a web page.
  `WebPageInstantView(TdApi.PageBlock[] pageBlocks, int viewCount, int version, boolean isRtl, boolean isFull, TdApi.InternalLinkType feedbackLink)`
  Describes an instant view page for a web page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pageBlocks

    public TdApi.PageBlock[] pageBlocks
    Content of the instant view page.

  - ### viewCount

    public int viewCount
    Number of the instant view views; 0 if unknown.

  - ### version

    public int version
    Version of the instant view; currently, can be 1 or 2.

  - ### isRtl

    public boolean isRtl
    True, if the instant view must be shown from right to left.

  - ### isFull

    public boolean isFull
    True, if the instant view contains the full page. A network request might be needed to get the full instant view.

  - ### feedbackLink

    public TdApi.InternalLinkType feedbackLink
    An internal link to be opened to leave feedback about the instant view.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WebPageInstantView

    public WebPageInstantView()
    Describes an instant view page for a web page.

  - ### WebPageInstantView

    public WebPageInstantView(TdApi.PageBlock[] pageBlocks, int viewCount, int version, boolean isRtl, boolean isFull, TdApi.InternalLinkType feedbackLink)
    Describes an instant view page for a web page.
    Parameters:
      `pageBlocks` - Content of the instant view page.
      `viewCount` - Number of the instant view views; 0 if unknown.
      `version` - Version of the instant view; currently, can be 1 or 2.
      `isRtl` - True, if the instant view must be shown from right to left.
      `isFull` - True, if the instant view contains the full page. A network request might be needed to get the full instant view.
      `feedbackLink` - An internal link to be opened to leave feedback about the instant view.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR